#
# spec file for package tfkiss (Version 1.2.4)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  autoconf libax25

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libax25 libtool perl rpm

Name:         tfkiss
Url:          http://www.ping.net.au/tfkiss.html
License:      Other License(s), see package
Group:        Productivity/Hamradio/Packet
Autoreqprov:  on
Version:      1.2.4
Release:      282
Summary:      Software TNC Emulator
Source:       ftp://ftp.ping.net.au/pub/unix/ham/tfkiss-%{version}.tar.bz2
Patch:        tfkiss-%{version}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Various packet radio applications need a TNC with TheFirmware connected
to a serial interface. Tfkiss can emulate this firmware on a TNC in
KISS-mode.



Authors:
--------
    Berndt Josef Wulf <wulf@ping.net.au>

%debug_package
%prep
%setup
%patch -p0
%{?suse_update_config:%{suse_update_config -f }}
autoconf

%build
CFLAGS=$RPM_OPT_FLAGS ./configure  --prefix=/usr \
  --enable-axip --enable-xpid --enable-flexnet \
  --enable-hibaud %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT/usr/share/tfkiss/doc

%postun
if [ "$1" = 0 ]; then
  rm -f etc/ax25/tfkiss/tfkiss.par var/run/tfkiss{.pid,_socket}
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README doc/alas.eng doc/alas.txt doc/copyrght.txt doc/rfc1226 doc/tfkiss.doc
%dir /etc/ax25/tfkiss
%config(noreplace) /etc/ax25/tfkiss/tfkiss.*
/usr/sbin/tfkiss

%changelog -n tfkiss
* Thu May 27 2004 - jreuter@suse.de
- removed bogus kernel includes
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Tue Jun 04 2002 - ro@suse.de
- add suse_update_config
* Mon Feb 18 2002 - jreuter@suse.de
- new version (1.2.4)
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Networking/Hamradio
* Mon May 15 2000 - bubnikv@suse.cz
- new version(1.2.3)
- added buildroot, URL, %%postun script
* Mon Sep 20 1999 - uli@suse.de
- removed unnecessary #include statements causing trouble
  on PPC
* Mon Sep 20 1999 - ka@suse.de
- fixed error in spec file
* Thu Sep 16 1999 - ka@suse.de
- update to version 1.2.2
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Jul 18 1999 - ka@suse.de
- update to version 1.1.0
- configured with "--enable-axip --enable-xpid --enable-flexnet \
--enable-hibaud"
* Thu Jun 24 1999 - ro@suse.de
- update to 1.0.5
- patched to build with libax25-0.0.4
* Sat May 29 1999 - ka@suse.de
- initial release
